pro steady_3dg_4v5         


!p.multi=[3,1,3]

; Rappel pour faire des PS
; set_plot, 'PS'
; device, ysize=18,xsize=12,/portrait,filename='steady_3dg_4v5.ps'
; device, /close
; Fin du rappel


nitt=3

psa=make_array(nitt)
psk=make_array(nitt)
psl=make_array(nitt)
psc=make_array(nitt)
psm=make_array(nitt)
psn=make_array(nitt)

psa(0)=  4.49928909 
psl(0)= -0.0000029608905
psk(0) = 0.0252926485
psa(1)=  0.0555189005
psl(1)= -0.185121651  
psk(1) =0.122805137
psa(2)=  0.0493222292 
psl(2)= -0.185379755 
psk(2)= -0.0976587385

n=25
m=13

xpi=acos(-1.)
x=make_array(n)
y=make_array(m)
xp=make_array(n)
yp=make_array(m)
h=make_array(n,m)
fa=make_array(n,m)
fl=make_array(n,m)
fm=make_array(n,m)
fk=make_array(n,m)
fc=make_array(n,m)
fn=make_array(n,m)
psi=make_array(n,m)


for i=0,n-1 do begin
x(i)=2.*xpi*i/(n-1)      
xp(i)=x(i)*100.
endfor
; print,' x=',x

for j=0,m-1 do begin
y(j)=xpi*j/(m-1)
yp(j)=xpi*j/(m-1)*100.
endfor
; print,' y=',y

for i=0,n-1 do begin
for j=0,m-1 do begin
h(i,j)=cos(2.*x(i))*sin(y(j))
fa(i,j)=sqrt(2.)*cos(y(j))
fl(i,j)=2.*cos(2.*x(i))*sin(y(j))
fm(i,j)=2.*cos(2.*x(i))*sin(2.*y(j))
fk(i,j)=2.*sin(2.*x(i))*sin(y(j))
fc(i,j)=sqrt(2.)*cos(2.*y(j))
fn(i,j)=2.*sin(2.*x(i))*sin(2*y(j))
endfor
endfor

for it=0,2 do begin
print, it

print,psa(it),psk(it),psl(it),psc(it),psm(it),psn(it)
 
for i=0,n-1 do begin
for j=0,m-1 do begin
; psi(i,j)=psa(it)*fa(i,j)+psk(it)*fk(i,j)+psl(it)*fl(i,j)
  psi(i,j)=psa(it)*fa(i,j)+psk(it)*fk(i,j)+psl(it)*fl(i,j)$
          +psc(it)*fc(i,j)+psm(it)*fm(i,j)+psn(it)*fn(i,j)
; psi(i,j)=psam*fa(i,j)+pskm*fk(i,j)+pslm*fl(i,j)$
;         +pscm*fc(i,j)+psmm*fm(i,j)+psnm*fn(i,j)
; psi(i,j)=psc(it)*fc(i,j)+psm(it)*fm(i,j)+psn(it)*fn(i,j)
endfor
endfor


v=(findgen(25)*.1-1.25)*2

contour, h, x, y,levels=v,c_linestyle=(v lt 0.0)$
; ,thick=1 ,xtitle="x/L",ytitle="y/L"$
,ystyle=1,yrange=[0.,3.14],yticks=2,ytickformat='(f5.1)'$
,xstyle=1,xrange=[0.,6.18],xticks=4,xtickformat='(f5.1)'$
,charthick=2,charsize=2,xthick=2,ythick=2

if(it eq 0) then begin
v=(findgen(50)*.1-2.25)*10. 
endif else begin
v=(findgen(50)*.1-2.25)*1.0
endelse

contour,psi ,  x, y, levels=v,c_linestyle=(v lt 0.0)$
, /overplot, thick=3

; endfor
endfor

CLOSE,34

end

